%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% computes integrals of shape functions on a Neumann border%%
%for P1 finite elements                                     %
%inputs                                                     %
%       a , b : bounds of range [a,b]                       %
%       z : value of Neumann boundary point                 %
%                                                           %
%output                                                     %
%       s = result                                          %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Abdellahi SOUEID AHMED, %
% Abderrahim JARDANI,     %
% Andr REVIL,            %
% 09/24/2012              %
%%%%%%%%%%%%%%%%%%%%%%%%%%%

function s=Neumann_border(a,b,z)
      s=z*norm(a-b)/2;
