%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% finds an element (triangle) knowing one of its edges              %
%inputs :                                                           %
%        edge : edge belonging to the element                       %
%        t : mesh connectivities                                    %
%output :                                                           %
%        e  : researched element                                    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Abdellahi SOUEID AHMED, %
% Abderrahim JARDANI,     %
% Andr REVIL,            %
% 09/24/2012              %
%%%%%%%%%%%%%%%%%%%%%%%%%%%



function [e]=find_element(t,edge)

e=find(  ((t(:,1)==edge(1) & t(:,2)==edge(2)) | (t(:,1)==edge(2) & t(:,2)==edge(1)) ...
       |(t(:,2)==edge(1) & t(:,3)==edge(2)) | (t(:,2)==edge(2) & t(:,3)==edge(1)) ...
       |(t(:,1)==edge(1) & t(:,3)==edge(2)) | (t(:,1)==edge(2) & t(:,3)==edge(1))));