
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%gives index of the nearest point(in the mesh) to the point which coor-   %
%dinates are (x,y)                                                        %
%                                                                         %
%inputs :                                                                 %
%           x , y : coordinates of the point tof which we search nearest   %
%           mesh point                                                    %
%           p : mesh points coordinates                                   %
%           radius : it determines the radius of the area in which we look%
%           for  the point.                                               %
%                                                                         %
% output :                                                                %
%           num_p : index of the found point                              %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Abdellahi SOUEID AHMED, %
% Abderrahim JARDANI,     %
% Andr REVIL,            %
% 09/24/2012              %
%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [num_p]=nearest_point(x,y,p,radius)

tab1=[];
for i =1:size(p,1)
    if (abs(p(i,1)-x)<radius) && (abs(p(i,2)-y)<radius)
        tab1=[tab1 ; p(i,:)];
    end
end

mintab=zeros(1,size(tab1));

for i=1:size(tab1,1)
    mintab(i)=sqrt((x-tab1(i,1))^2+(y-tab1(i,2))^2);
end 
m=min(mintab);
ind=find(mintab==m);
x_p=tab1(ind,1);
y_p=tab1(ind,2);

num_p=find( p(:,1)==x_p & p(:,2)==y_p );