%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%gives index of the nearest point(in the mesh) to the point which          %
%abscissa is x and which is belonging to the boundary "border"            %
%                                                                         %
%inputs :                                                                 %
%           x : abscissa of the point of which we search nearest          %
%           mesh point                                                    %
%           p : mesh points coordinates                                   %
%           radius : it determines the radius of the area in which we look%
%           for  the point.                                               %
%           border : boundary to which belongs the researched point       %
% output :                                                                %
%           num_p : index of the found point                              %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Abdellahi SOUEID AHMED, %
% Abderrahim JARDANI,     %
% Andr REVIL,            %
% 09/24/2012              %
%%%%%%%%%%%%%%%%%%%%%%%%%%%


function [num_p]=nearest_point_border(x,border,p,rayon)

p_border=p(border,:);
tab1=[];
for i =1:size(p_border,1)
    if (abs(p_border(i,1)-x)<rayon)% && (abs(p(i,2)-y)<rayon)
        tab1=[tab1 ; p_border(i,:)];
    end
end

column1=sort(tab1(:,1));
tab1(:,1)=column1;
selected=tab1(1,:);
[num_p]=nearest_point(selected(1),selected(2),p,rayon);
