%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% computes triangle centers coordinates                         %
%inputs                                                         %          
%        p : mesh nodes                                        %
%        t : mesh connectivities                                %    
%output                                                         %
%       c :   centers coordinates                               %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Abdellahi SOUEID AHMED, %
% Abderrahim JARDANI,     %
% Andr REVIL,            %
% 09/24/2012              %
%%%%%%%%%%%%%%%%%%%%%%%%%%%


function [c] = center(p,t)

  n = size (t,1);
  c = ones(n,2);
  for i = 1 : n
    g = t(i,:);
    c(i,:)=(p(g(1),:)+p(g(2),:)+p(g(3),:))/3;
  end
  
end