%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%it evalutes a fonction f on a set of points which                        %
%coordinates are given by p.                                              %
%inputs :                                                                 %
%           p : coordinates of the set of points                          %
%           f : function to evaluate on points given by p                 %
%                                                                         %
%output :                                                                 %
%         mat : a matrix giving the value of f on each point and %
%                        the corresponding point.                         %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Abdellahi SOUEID AHMED, %
% Abderrahim JARDANI,     %
% Andr REVIL,            %
% 09/24/2012              %
%%%%%%%%%%%%%%%%%%%%%%%%%%%


function  [mat]=scdm(p,f)
    mat=zeros(size(p,1),3);
    for i=1 : size(p,1)
        mat(i,:)=[f(i) p(i,1)  p(i,2)];
    end
end
