%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%computes kernel matrix faster than calssical method                %
%inputs :                                                           %
%         m , n : inverse problem mesh size                         %
%             K : stiffness matrix                                  %
%output :                                                           %
%         A : kernel matrix                                         %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Abdellahi SOUEID AHMED, %
% Abderrahim JARDANI,     %
% Andr REVIL,            %
% 09/24/2012              %
%%%%%%%%%%%%%%%%%%%%%%%%%%%

function [A]=Fast_Kernel(m,n,K)
     A=[];
for i=1:2*m*n
    disp('remaining iterations');
    2*m*n-i % remaining iterations
    e=zeros(2*m*n,1);
    e(i)=1;
    d=Fast_Forward_Problem(K,e);
    A(:,i)=d';
end